package role

import "code.gitea.io/gitea/models"

var roleMap = map[models.RoleType]*models.Role{
	models.TechProgramAdmin: {
		Type:        models.TechProgramAdmin,
		Name:        "科技项目管理员",
		Description: "拥有科技项目管理相关功能的管理员权限",
	},
}

func GetRole(roleType models.RoleType) *models.Role {
	return roleMap[roleType]
}
